Subject: recursive invocation of menus

From: [email-masked]
Date: Tue, 9 Mar 1999 11:29:27 -0600 (CST)

Full_Name: Neil Zanella
Version: 2.2.0
CVS_Date: 
OS: Linux 2.0.36
X_Server: XFree86 3.3.2
Submission from: (NULL) (134.153.1.13)

Hello,

Fvwm2 just feels so much better when it comes to menus... extra large menus
that
don't fit on the screen have the "More..." menu and when they are opened by
the edge
of the screen my pointer is not moved, the menu opens on the correct side,
etc...
Thank you all. What a great job!

I discovered a new potential bug in the menus which I will illustrate with
the following example:

AddToMenu Utilities "Utilities"         Title
...
+                   "Applications"      Popup Applications
...

AddToMenu Applications "Applications" Title
...
+                      "Utilities"    PopUp Utilities
...

This configuration can be useful when menus are just full of menus and
submenus
and one wants to have some repetition to make finding things a little
easier.

With this configuration, if I PopUP Utilities, then Applications, and then
try to
PopUp Utilities again from within the Applications submenu then nothing
pops up.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]